Package: org.codehaus.groovy.vmplugin.v5

## [Java] Class Java5

- org.codehaus.groovy.vmplugin.v5.Java5

- All Implemented Interfaces and Traits:
    VMPlugin

      public class Java5
      extends Object

  java 5 based functions

  Authors:
    Jochen Theodorou

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `configureAnnotation(AnnotationNode node)`
    `` | `void` | `configureAnnotationFromDefinition(AnnotationNode definition, AnnotationNode root)`
    `` | `void` | `configureAnnotationNodeFromDefinition(AnnotationNode definition, AnnotationNode root)`
    `` | `void` | `configureClassNode(CompileUnit compileUnit, ClassNode classNode)`
    `` | `static GenericsType` | `configureTypeVariableDefinition(ClassNode base, ClassNode[] cBounds)`
    `` | `static ClassNode` | `configureTypeVariableReference(String name)`
    `` | `protected int` | `getElementCode(ElementType value)`
    `` | `Object` | `getInvokeSpecialHandle(Method m, Object receiver)`
    `` | `Class[]` | `getPluginDefaultGroovyMethods()`
    `` | `Class[]` | `getPluginStaticGroovyMethods()`
    `` | `int` | `getVersion()`
    `` | `void` | `invalidateCallSites()`
    `` | `Object` | `invokeHandle(Object handle, Object[] args)`
    `` | `void` | `setAdditionalClassInformation(ClassNode cn)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public void configureAnnotation(AnnotationNode node)

    - #### @Deprecated public void configureAnnotationFromDefinition(AnnotationNode definition, AnnotationNode root)

    - #### public void configureAnnotationNodeFromDefinition(AnnotationNode definition, AnnotationNode root)

    - #### public void configureClassNode(CompileUnit compileUnit, ClassNode classNode)

    - #### public static GenericsType configureTypeVariableDefinition(ClassNode base, ClassNode[] cBounds)

    - #### public static ClassNode configureTypeVariableReference(String name)

    - #### protected int getElementCode(ElementType value)

    - #### @Override public Object getInvokeSpecialHandle(Method m, Object receiver)

    - #### public Class[] getPluginDefaultGroovyMethods()

    - #### public Class[] getPluginStaticGroovyMethods()

    - #### @Override public int getVersion()

    - #### public void invalidateCallSites()

    - #### @Override public Object invokeHandle(Object handle, Object[] args)

    - #### public void setAdditionalClassInformation(ClassNode cn)